> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Link User Tool Id

> update link tool user



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json put /api/v1/tool/{link_tool_user_id}/LinkToolUser
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/tool/{link_tool_user_id}/LinkToolUser:
    put:
      tags:
        - Tool
      summary: Update Link User Tool Id
      description: update link tool user
      operationId: >-
        update_link_user_tool_id_api_v1_tool__link_tool_user_id__LinkToolUser_put
      parameters:
        - name: link_tool_user_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Link Tool User Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ILinkToolUserUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IPostResponseBase_ILinkToolUserUpdate_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    ILinkToolUserUpdate:
      properties:
        org_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Org Id
        tool_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Tool Id
        credentials:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Credentials
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        attributes:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Attributes
      type: object
      title: ILinkToolUserUpdate
    IPostResponseBase_ILinkToolUserUpdate_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: Data created successfully
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - {}
            - type: 'null'
          title: Meta
          default: {}
        data:
          anyOf:
            - $ref: '#/components/schemas/ILinkToolUserUpdate'
            - type: 'null'
      type: object
      title: IPostResponseBase[ILinkToolUserUpdate]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````